package hdm.mi.growbros.controllers;


import hdm.mi.growbros.models.user.User;
import hdm.mi.growbros.service.GrandmaService;
import org.springframework.http.ResponseEntity;
import org.springframework.security.core.annotation.AuthenticationPrincipal;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/v1/Grandma")
public class GrandmaController {

    private final GrandmaService grandmaService;

    public GrandmaController(GrandmaService grandmaService){
        this.grandmaService = grandmaService;
    }

    @GetMapping ("/getGrowingTips")
    public ResponseEntity<String> getGrowingTipDesTages(@AuthenticationPrincipal User user) {
        return ResponseEntity.ok(grandmaService.growingTippDesTages(user));
    }
    @GetMapping ("/getGrowablePlants")
    public ResponseEntity<String> getPlantsReadyToGrow(@AuthenticationPrincipal User user){
            return ResponseEntity.ok(grandmaService.notifyAboutPlantsReadyToGrow(user));

    }
}
